Bug 1947498 - policy v1 beta1 PodDisruptionBudget is deprecated in Kubernetes 1.21 (OCP 4.8)
Summary: policy v1 beta1 PodDisruptionBudget is deprecated in Kubernetes 1.21 (OCP 4.8)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.8.0
Assignee: Candace Holman
QA Contact: jechen
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-08 15:58 UTC by Stephen Greene
Modified: 2022-08-04 22:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:58:16 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-ingress-operator pull 602 0 None open Bug 1947498: policy v1 beta1 PodDisruptionBudget is deprecated 2021-04-19 21:17:33 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:58:32 UTC

Description Stephen Greene 2021-04-08 15:58:32 UTC
The PodDisruptionBudget API has been promoted to policy/v1 with no schema changes. The only functional change is that an empty selector ({}) written to a policy/v1 PodDisruptionBudget now selects all pods in the namespace. The behavior of the policy/v1beta1 API remains unchanged. The policy/v1beta1 PodDisruptionBudget API is deprecated and will no longer be served in 1.25+.

See https://github.com/kubernetes/kubernetes/blob/master/CHANGELOG/CHANGELOG-1.21.md

The ingress operator repo should switch from v1beta1 PDB to v1 PDB to avoid the following log warning:

2021-04-08T15:26:25.716682378Z W0408 15:26:25.716645       1 warnings.go:70] policy/v1beta1 PodDisruptionBudget is deprecated in v1.21+, unavailable in v1.25+; use policy/v1 PodDisruptionBudget

Seen in:

https://gcsweb-ci.apps.ci.l2s4.p1.openshiftapps.com/gcs/origin-ci-test/pr-logs/pull/openshift_cluster-ingress-operator/588/pull-ci-openshift-cluster-ingress-operator-master-e2e-aws-operator/1380164171156426752/artifacts/e2e-aws-operator/gather-must-gather/artifacts/must-gather/namespaces/openshift-ingress-operator/pods/ingress-operator-5c489d6f55-rxcpb/ingress-operator/ingress-operator/logs/current.log

Comment 2 jechen 2021-04-21 16:05:09 UTC
verfied in 4.8.0-0.nightly-2021-04-21-084059

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.8.0-0.nightly-2021-04-21-084059   True        False         2m30s   Cluster version is 4.8.0-0.nightly-2021-04-21-084059

$ oc -n openshift-ingress-operator get pod
NAME                               READY   STATUS    RESTARTS   AGE
ingress-operator-7dc64cb6d-l6h4m   2/2     Running   4          64m

$ oc -n openshift-ingress-operator logs pod/ingress-operator-7dc64cb6d-l6h4m -c ingress-operator > ingress-operator-log-4.8.0-0.nightly-2021-04-21-084059

search in through the log for ingress operator, did not see "policy/v1beta1 PodDisruptionBudget is deprecated in v1.21+, unavailable in v1.25+; use policy/v1 PodDisruptionBudget" warnin message, mark this bug as verified.

Comment 5 errata-xmlrpc 2021-07-27 22:58:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.